Subject: Re: bug#73110: 29.4; emacs.service failed with result 'timeout'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Oct 2024 15:39:32 +0300

[Please use Reply All to reply, to keep the bug tracker CC'ed.]

> From: Patrick Nicodemus <[email-masked]>
> Date: Fri, 11 Oct 2024 12:07:04 -0400
> 
> Hi Eli,
> Sorry for the late reply, I have been busy.
> I have not yet checked that the fix works, but I think you are correct
> that Emacs was not compiled with libsystemd support.
> If it is indeed required for this to work, I think that it's a
> documentation bug that this is not mentioned here -
> https://www.gnu.org/software/emacs/manual/html_node/emacs/Emacs-Server.html.
> This is especially important because the default behavior for the
> ./configure script is to silently disable libsystemd support if the
> required libraries are not found, rather than failing loudly and
> requiring the user to install the appropriate systemwide packages (in
> my case, as a Ubuntu user, libsystemd-dev.) Moreover there is
> apparently no (documented) --with-libsystemd option one can feed to
> the ./configure script to force this behavior - the flag exists in the
> ./configure script but this appears to be dead code with no observable
> effect.
> Therefore, IMO there is no reason/hint for me as an end user to
> suspect that the problem is due to my configuration script, because I
> specified no options to disable compilation with libsystemd and there
> is no configuration flag I can specify to guarantee that libsystemd is
> enabled.
> 
> Considering that --with-libsystemd exists in the configure script but
> is not documented I assume that it was a previous feature that was
> deprecated/removed, but I personally would have benefited a lot from
> the configure script loudly failing when it couldn't find the
> necessary libraries.

I'll defer to systemd experts, assuming we have some.